Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.base14
Class TimesRoman

    java.lang.Object
      org.apache.fop.fonts.Typeface
          org.apache.fop.fonts.Base14Font
              org.apache.fop.fonts.base14.TimesRoman

All Implemented Interfaces:
  FontMetrics

    public class TimesRoman

extends Base14Font

Field Summary

Fields inherited from class org.apache.fop.fonts.Typeface
`eventListener, NOT_FOUND`

Constructor Summary
`TimesRoman()`
`TimesRoman(boolean enableKerning)`

Method Summary
`int` | `getAscender(int size)` Returns the ascent of the font described by this FontMetrics object.
`int` | `getCapHeight(int size)` Returns the size of a capital letter measured from the font's baseline.
`int` | `getDescender(int size)` Returns the descent of the font described by this FontMetrics object.
`java.lang.String` | `getEmbedFontName()` Returns the font name for font embedding (may include a prefix, Example: "1E28bcArialMT").
`java.lang.String` | `getEncodingName()` Get the encoding of the font.
`java.util.Set` | `getFamilyNames()` Returns the font's family names as a Set of Strings (Example: "Helvetica").
`int` | `getFirstChar()`
`java.lang.String` | `getFontName()` Returns the "PostScript" font name (Example: "Helvetica-BoldOblique").
`FontType` | `getFontType()` Returns the type of the font.
`java.lang.String` | `getFullName()` Returns the font's full name (Example: "Helvetica Bold Oblique").
`java.util.Map` | `getKerningInfo()` Returns the kerning map for the font.
`int` | `getLastChar()`
`int` | `getWidth(int i, int size)` Return the width (in 1/1000ths of point size) of the character at code point i.
`int[]` | `getWidths()` Return the array of widths.
`int` | `getXHeight(int size)` Determines the typical font height of this FontMetrics object
`boolean` | `hasChar(char c)` Determines whether this font contains a particular character/glyph.
`boolean` | `hasKerningInfo()` Indicates if the font has kering information.
`char` | `mapChar(char c)` Map a Unicode character to a code point in the font.

Methods inherited from class org.apache.fop.fonts.Typeface
`getMaxAscent, hadMappingOperations, isMultiByte, notifyMapOperation, setEventListener, toString, warnMissingGlyph`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimesRoman

    public TimesRoman()

### TimesRoman

    public TimesRoman(boolean enableKerning)

Method Detail

### getEncodingName

    public java.lang.String getEncodingName()

  Description copied from class: `Typeface`
  Get the encoding of the font.

  Specified by:
    `getEncodingName` in class `Typeface`
  Returns:
    the encoding

### getFontName

    public java.lang.String getFontName()

  Description copied from interface: `FontMetrics`
  Returns the "PostScript" font name (Example: "Helvetica-BoldOblique").

  Returns:
    the font name

### getEmbedFontName

    public java.lang.String getEmbedFontName()

  Description copied from interface: `FontMetrics`
  Returns the font name for font embedding (may include a prefix, Example: "1E28bcArialMT").

  Returns:
    the name for font embedding

### getFullName

    public java.lang.String getFullName()

  Description copied from interface: `FontMetrics`
  Returns the font's full name (Example: "Helvetica Bold Oblique").

  Returns:
    the font's full name

### getFamilyNames

    public java.util.Set getFamilyNames()

  Description copied from interface: `FontMetrics`
  Returns the font's family names as a Set of Strings (Example: "Helvetica").

  Returns:
    the font's family names (a Set of Strings)

### getFontType

    public FontType getFontType()

  Description copied from interface: `FontMetrics`
  Returns the type of the font.

  Returns:
    the font type

### getAscender

    public int getAscender(int size)

  Description copied from interface: `FontMetrics`
  Returns the ascent of the font described by this FontMetrics object. It returns the nominal ascent within the em box.

  Parameters:
    `size` - font size
  Returns:
    ascent in milliponts

### getCapHeight

    public int getCapHeight(int size)

  Description copied from interface: `FontMetrics`
  Returns the size of a capital letter measured from the font's baseline.

  Parameters:
    `size` - font size
  Returns:
    height of capital characters

### getDescender

    public int getDescender(int size)

  Description copied from interface: `FontMetrics`
  Returns the descent of the font described by this FontMetrics object.

  Parameters:
    `size` - font size
  Returns:
    descent in milliponts

### getXHeight

    public int getXHeight(int size)

  Description copied from interface: `FontMetrics`
  Determines the typical font height of this FontMetrics object

  Parameters:
    `size` - font size
  Returns:
    font height in millipoints

### getFirstChar

    public int getFirstChar()

### getLastChar

    public int getLastChar()

### getWidth

    public int getWidth(int i,
                        int size)

  Description copied from interface: `FontMetrics`
  Return the width (in 1/1000ths of point size) of the character at code point i.

  Parameters:
    `i` - code point index
    `size` - font size
  Returns:
    the width of the character

### getWidths

    public int[] getWidths()

  Description copied from interface: `FontMetrics`
  Return the array of widths.

  This is used to get an array for inserting in an output format. It should not be used for lookup.

  Returns:
    an array of widths

### hasKerningInfo

    public boolean hasKerningInfo()

  Description copied from interface: `FontMetrics`
  Indicates if the font has kering information.

  Returns:
    True, if kerning is available.

### getKerningInfo

    public java.util.Map getKerningInfo()

  Description copied from interface: `FontMetrics`
  Returns the kerning map for the font.

  Returns:
    the kerning map

### mapChar

    public char mapChar(char c)

  Description copied from class: `Typeface`
  Map a Unicode character to a code point in the font.

  Specified by:
    `mapChar` in class `Typeface`
  Parameters:
    `c` - character to map
  Returns:
    the mapped character

### hasChar

    public boolean hasChar(char c)

  Description copied from class: `Typeface`
  Determines whether this font contains a particular character/glyph.

  Specified by:
    `hasChar` in class `Typeface`
  Parameters:
    `c` - character to check
  Returns:
    True if the character is supported, Falso otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.